> For the complete documentation index, see [llms.txt](https://docs.exads.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exads.com/publishers/sites-and-zones/dfi-mfi-display-notification-events.md).

# Adding Display Notification Events for Fullpage Interstitials

As a Publisher, once you click **Create** in the **New Zone** screen, the Admin Panel shows you the snippet for your new ad zone.

**Desktop Fullpage Interstitial** and **Mobile Fullpage Interstitial** zones include an extra script that you can add if you need it.

This script adds an event listener to the `creativeDisplayed` event, suffixed with a zone id, which triggers when the ad is displayed to your site visitor.

This event listener allows you to programmatically execute any action you may need on your website and get more information about the element that triggered the event, such as URL, id, classes and text.

## Example - Fullpage Interstitial <a href="#example---fullpage-interstitial" id="example---fullpage-interstitial"></a>

Added `idzone` = 4362883

Action to execute = Display message *Creative shown!*

{% code overflow="wrap" expandable="true" %}

```html
<script type="application/javascript" data-idzone="4362883"  data-ad_frequency_count="20"  data-ad_frequency_period="60"  data-type="desktop" data-browser_settings="1" data-ad_trigger_method="3" src="https://a.examplesite.com/fp-interstitial.js"></script>

<a href="https://www.example.com">Visit example.com!</a>

<script type="application/javascript">
    document.addEventListener('creativeDisplayed-4362883', function (e) {

        console.log("Creative shown!");
        console.log(e.detail);
        console.log(e.detail.elm.href);

    }, false);
</script>
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exads.com/publishers/sites-and-zones/dfi-mfi-display-notification-events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
